View Issue Details

IDProjectCategoryLast Update
0021504AI War 2[All Projects] GUISep 3, 2019 5:24 pm
ReporterBadgerBadgerAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.881 AI Neighborhood Watch 
Fixed in Version0.886 Zombie Homebodies 
Summary0021504: Weird black box over screen
DescriptionAfter playing for a while, I keep seeing this giant black region appear over the galaxy map. The planet screen looks fine, and if I generate a popup (for example, the AIP change history) then the popup goes over the black region. Notice also that at the bottom right of the big black region there's a small translucent blue region; if I move that blue region over a planet then I can see the planet, but it's blue.

This is a linux machine if it makes a difference.
TagsNo tags attached.

Relationships

related to 0021463 feedbackx4000Bughunter Some planets can no longer be interacted with on the galaxy map, after playing a while. 

Activities

BadgerBadger

Aug 11, 2019 2:01 pm

manager  

Blackboxes.png (893,079 bytes)
LoweredAIP.save (907,662 bytes)

x4000Bughunter

Aug 12, 2019 8:45 am

administrator   ~0052540

This is only on the galaxy map, and goes away when you switch to the planet view?

This might be why the "galaxy map becomes unclickable" bug happens.

I'm guessing this is some sort of rogue ui element, like maybe the find planets window or something? Maybe some aspect of that lives on.

BadgerBadger

Aug 12, 2019 10:02 am

manager   ~0052546

Correct; only the galaxy map and it doesn't appear on the planet view. A rogue ui element sounds very plausible.

Is there a way to dump all the active UI elements?

x4000Bughunter

Aug 12, 2019 7:10 pm

administrator   ~0052551

Thanks! Coming in 0.881:

* A new keybind (defaulting to F5) has been added to the Debug section: Dump Info From UI
** Dump all of the info about currrently-displayed UI windows, and anything to do with why textboxes might be blocked as well, both to the log and to a popup window.
** This gives a bunch of info that we should have made dump-able years ago, sigh -- why we didn't think of it, who knows! But if you're having trouble with a textbox not taking input, or part of the screen being non-clickable, or part of the screen being obscured with a big black background, then please hit F5 and send us the results that it puts into the ArcenDebugLog.txt in your PlayerData folder. It also will show you visually what is happening in a nicely-formatted fashion, so you might figure it out as you're even sending it to us what is wrong, who knows. Either way works for us!

BadgerBadger

Aug 29, 2019 1:53 am

manager   ~0052665

Last edited: Aug 29, 2019 11:07 am

View 2 revisions

I hit this again. I had the Debug menu open but the game unpaused and was spamming the <Create new player ships> button to test attacking the AI homeworld. Here are my active windows:
8/28/2019 11:52:45 PM Active Windows:

Window_InGameBottomLeftMenu <color=#666666>(250_Window_InGameBottomLeftMenu)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 540.00000 UISpaceHeight: 50.00000
Rect: (x:0.00, y:0.00, width:540.00, height:50.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_SidebarShips <color=#666666>(100_Window_SidebarShips)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 200.00000 UISpaceHeight: 530.00000
Rect: (x:0.00, y:-530.00, width:200.00, height:530.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_InGameHoverPlanetInfo <color=#666666>(20_Window_InGameHoverPlanetInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:0.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_InGameHoverEntityInfo <color=#666666>(20_Window_InGameHoverEntityInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:0.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_OngoingMessageDisplay <color=#666666>(300_Window_OngoingMessageDisplay)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 300.00000 UISpaceHeight: 400.00000
Rect: (x:-300.00, y:-400.00, width:300.00, height:400.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_NotificationsDisplay <color=#666666>(300_Window_NotificationsDisplay)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 800.00000 UISpaceHeight: 120.00000
Rect: (x:0.00, y:-120.00, width:800.00, height:120.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_ResourceBar <color=#666666>(150_Window_ResourceBar)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 980.00000 UISpaceHeight: 26.00000
Rect: (x:0.00, y:-26.00, width:980.00, height:26.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_DebugInfo <color=#666666>(1100_Window_DebugInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 500.00000 UISpaceHeight: 50.00000
Rect: (x:-500.00, y:-50.00, width:500.00, height:50.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelWide <color=#666666>(1200_Window_AtMouseTooltipPanelWide)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelBesideSidebar <color=#666666>(1200_Window_AtMouseTooltipPanelBesideSidebar)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelNarrow <color=#666666>(1200_Window_AtMouseTooltipPanelNarrow)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>

BadgerBadger

Aug 29, 2019 1:55 am

manager   ~0052666

Last edited: Aug 29, 2019 1:55 am

View 2 revisions

I then saved the game, quit the application and restarted it, here are the active windows now (here the bug is not manifesting)

8/28/2019 11:54:35 PM Active Windows:

Window_InGameBottomLeftMenu <color=#666666>(250_Window_InGameBottomLeftMenu)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 540.00000 UISpaceHeight: 50.00000
Rect: (x:0.00, y:0.00, width:540.00, height:50.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_SidebarShips <color=#666666>(100_Window_SidebarShips)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 200.00000 UISpaceHeight: 530.00000
Rect: (x:0.00, y:-530.00, width:200.00, height:530.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_InGameHoverPlanetInfo <color=#666666>(20_Window_InGameHoverPlanetInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:0.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_InGameHoverEntityInfo <color=#666666>(20_Window_InGameHoverEntityInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:0.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_OngoingMessageDisplay <color=#666666>(300_Window_OngoingMessageDisplay)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 300.00000 UISpaceHeight: 400.00000
Rect: (x:-300.00, y:-400.00, width:300.00, height:400.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_NotificationsDisplay <color=#666666>(300_Window_NotificationsDisplay)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 800.00000 UISpaceHeight: 120.00000
Rect: (x:0.00, y:-120.00, width:800.00, height:120.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_ResourceBar <color=#666666>(150_Window_ResourceBar)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 980.00000 UISpaceHeight: 26.00000
Rect: (x:0.00, y:-26.00, width:980.00, height:26.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_DebugInfo <color=#666666>(1100_Window_DebugInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 500.00000 UISpaceHeight: 50.00000
Rect: (x:-500.00, y:-50.00, width:500.00, height:50.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelWide <color=#666666>(1200_Window_AtMouseTooltipPanelWide)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelBesideSidebar <color=#666666>(1200_Window_AtMouseTooltipPanelBesideSidebar)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelNarrow <color=#666666>(1200_Window_AtMouseTooltipPanelNarrow)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=0008000> InAllowsInputList: 1</color>

x4000Bughunter

Aug 29, 2019 4:14 pm

administrator   ~0052672

I... blah! Those two pieces of text are identical. https://text-compare.com/

That makes very little sense.

BadgerBadger

Sep 2, 2019 11:34 pm

manager  

More Black Screen.png (493,877 bytes)

BadgerBadger

Sep 2, 2019 11:34 pm

manager   ~0052754

I hit this one again running the s3 crisis averted save from 21556.

Note that the blackness is a different shape.

ArcenDebugLog.txt (32,328 bytes)
9/2/2019 9:29:43 PM	Current directory used: /home/wdavis/AIWar2/
Process Count = 0 so PlayerDataDirectory used: /home/wdavis/AIWar2/PlayerData/
9/2/2019 9:29:43 PM
Could not find float variable 'DeathsCriticalVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'DeathsOtherPlanetsVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'DeathsOtherPlanetsMinorVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'DeathsRoutineVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'DeathsSubstantialVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'OtherCombatSoundsVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'WeaponsFiringVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'WeaponsHittingVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'VoiceAndInterfaceMasterVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'InterfaceVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM
Could not find float variable 'AlertVolume' from the audio mixer!

  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses+VolmeSetter..ctor (System.String Name) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenMixerAndBuses.InitializeRoot (Arcen.Universal.ArcenMixerAndBuses R) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.AIW2.Core.ExternalVisualCoreConstants.PostProcessAfterAllFiles () [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.Universal.ArcenAbstractExternalData.LoadFromDisk () [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at PresentationLayer_AIW2.LoadVisualConstants_Early (System.Boolean IsReload) [0x00000] in <427248163a13433faf7210cf379b6a8e>:0 
  at Arcen.AIW2.Core.Engine_AIW2+<LoadExternalDataEarly>c__Iterator0.MoveNext () [0x00000] in <19699f52dbff4422bc0201746b36c551>:0 
  at UnityEngine.SetupCoroutine.InvokeMoveNext (System.Collections.IEnumerator enumerator, System.IntPtr returnValueAddress) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 

9/2/2019 9:29:43 PM	No resolution change was required.
9/2/2019 9:29:43 PM	Applied graphics settings: 
AntialiasingMode:x2
UseSoftParticles:False
BillboardsFaceCameraPosition:False
AnisotropicMode:ForceEnable
TextureQuality:Full
9/2/2019 9:29:43 PM	Applied Framerate Type: 144 FPS (vsync: 0 targetFPS:144)
9/2/2019 9:29:53 PM	processing a praetorian xml entry
9/2/2019 9:29:53 PM	ArcenAssetBundleCache.InstantiatedObjects: 784
9/2/2019 9:29:53 PM	Game Version: 0.885
graphicsDeviceType in use: OpenGLCore
graphicsDeviceVersion in use: OpenGL 4.5 (Core Profile) Mesa 19.1.4
graphicsMultiThreaded: False
graphicsShaderLevel: 50
operatingSystem: Linux 5.2 Fedora 30 64bit
graphicsDeviceName: Radeon RX 580 Series (POLARIS10, DRM 3.32.0, 5.2.8-200.fc30.x86_64, LLVM 8.0.0)
graphicsDeviceID: 26591
graphicsDeviceVendor: X.Org
graphicsDeviceVendorID: 4098
graphicsDeviceVersion: OpenGL 4.5 (Core Profile) Mesa 19.1.4
graphicsMemorySize: 7835
maxTextureSize: 16384
npotSupport: Full
processorType: AMD Ryzen 7 1700 Eight-Core Processor
processorCount: 16
processorFrequency: 2026
systemMemorySize: 16047
supportedRenderTargetCount: 8
supportsComputeShaders: True
supportsShadows: True
usesReversedZBuffer: False
9/2/2019 9:29:53 PM	10.9 seconds total load time.

LoadFinalSFXStuff (6.6s)
GameEntityTypeDataTable.Initialize (0.4s)
GameEntityTypeDataTable.InitVisualBits (1.4s)
SurrogateTableTable (0.7s)
9/2/2019 9:29:53 PM	Error on SteamClient.Init: System.Exception: SteamApi_Init returned false. Steam isn't running, couldn't find Steam, AppId is ureleased, Don't own AppId.
  at Steamworks.SteamClient.Init (System.UInt32 appid, System.Boolean asyncCallbacks) [0x00032] in <93806e12f9ba4324972789e4d4930187>:0 
  at ArcenGameController.Update () [0x00046] in <12679809ebfa411b96b71964595e6ed3>:0 
9/2/2019 9:30:00 PM	Successfully opened host socket
9/2/2019 9:30:00 PM	OnLoad: Fixed positions of 21 ship(s), 0 shot(s), 0 other/wormhole(s).
9/2/2019 9:30:01 PM
-----------
ArgumentException: An item with the same key has already been added. Key: 276633935
Stack Trace: System.Collections.Generic.Dictionary`2[TKey,TValue].TryInsert (TKey key, TValue value, System.Collections.Generic.InsertionBehavior behavior) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.Collections.Generic.Dictionary`2[TKey,TValue].Add (TKey key, TValue value) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
TMPro.MaterialReferenceManager.AddFontAssetInternal (TMPro.TMP_FontAsset fontAsset) (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.MaterialReferenceManager.AddFontAsset (TMPro.TMP_FontAsset fontAsset) (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TMP_Text.ValidateHtmlTag (TMPro.TMP_Text+UnicodeChar[] chars, System.Int32 startIndex, System.Int32& endIndex) (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TextMeshProUGUI.GenerateTextMesh () (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TextMeshProUGUI.OnPreRenderCanvas () (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TextMeshProUGUI.Rebuild (UnityEngine.UI.CanvasUpdate update) (at <06348b0a78284ef4be82b348cde411d5>:0)
UnityEngine.UI.CanvasUpdateRegistry.PerformUpdate () (at <9bb8f6e40006490da4518a3cf5afe42e>:0)
UnityEngine.Canvas:SendWillRenderCanvases()



  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.DebugLogHandler.Internal_LogException (System.Exception exception, UnityEngine.Object obj) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.DebugLogHandler.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.Logger.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.Debug.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.UI.CanvasUpdateRegistry.PerformUpdate () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.Canvas.SendWillRenderCanvases () [0x00000] in <8e3195c0c843481fb2c03c05aefef06f>:0 

9/2/2019 9:30:01 PM
ErrorsReportedByEngine:    -----------
ArgumentException: An item with the same key has already been added. Key: 276633935
Stack Trace: System.Collections.Generic.Dictionary`2[TKey,TValue].TryInsert (TKey key, TValue value, System.Collections.Generic.InsertionBehavior behavior) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
System.Collections.Generic.Dictionary`2[TKey,TValue].Add (TKey key, TValue value) (at <1f0c1ef1ad524c38bbc5536809c46b48>:0)
TMPro.MaterialReferenceManager.AddFontAssetInternal (TMPro.TMP_FontAsset fontAsset) (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.MaterialReferenceManager.AddFontAsset (TMPro.TMP_FontAsset fontAsset) (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TMP_Text.ValidateHtmlTag (TMPro.TMP_Text+UnicodeChar[] chars, System.Int32 startIndex, System.Int32& endIndex) (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TextMeshProUGUI.GenerateTextMesh () (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TextMeshProUGUI.OnPreRenderCanvas () (at <06348b0a78284ef4be82b348cde411d5>:0)
TMPro.TextMeshProUGUI.Rebuild (UnityEngine.UI.CanvasUpdate update) (at <06348b0a78284ef4be82b348cde411d5>:0)
UnityEngine.UI.CanvasUpdateRegistry.PerformUpdate () (at <9bb8f6e40006490da4518a3cf5afe42e>:0)
UnityEngine.Canvas:SendWillRenderCanvases()



  at System.Environment.get_StackTrace () [0x00000] in <1f0c1ef1ad524c38bbc5536809c46b48>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText, System.Boolean SuppressArcenDebugLog) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.Engine_Universal.WriteToErrorFile (System.String ErrorFile, System.String ErrorName, System.String ErrorText) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.Engine_Universal.LogWritten (System.String LogString, System.String StackTrace, UnityEngine.LogType Type, System.Exception Cause, System.Boolean CameFromUnity) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at Arcen.Universal.Engine_Universal.LogWrittenFromUnity (System.String LogString, System.String StackTrace, UnityEngine.LogType Type) [0x00000] in <928eae37d2af412eb013a7d207a07706>:0 
  at UnityEngine.Application.CallLogCallback (System.String logString, System.String stackTrace, UnityEngine.LogType type, System.Boolean invokedOnMainThread) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.DebugLogHandler.Internal_LogException (System.Exception exception, UnityEngine.Object obj) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.DebugLogHandler.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.Logger.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.Debug.LogException (System.Exception exception, UnityEngine.Object context) [0x00000] in <3fa4aa4b4cbc43228580897c4aeed2f0>:0 
  at UnityEngine.UI.CanvasUpdateRegistry.PerformUpdate () [0x00000] in <9bb8f6e40006490da4518a3cf5afe42e>:0 
  at UnityEngine.Canvas.SendWillRenderCanvases () [0x00000] in <8e3195c0c843481fb2c03c05aefef06f>:0 

9/2/2019 9:32:54 PM	Active Windows:

Window_InGameBottomLeftMenu <color=#666666>(250_Window_InGameBottomLeftMenu)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 540.00000 UISpaceHeight: 50.00000
Rect: (x:0.00, y:0.00, width:540.00, height:50.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_SidebarShips <color=#666666>(100_Window_SidebarShips)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 200.00000 UISpaceHeight: 530.00000
Rect: (x:0.00, y:-530.00, width:200.00, height:530.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_InGameHoverPlanetInfo <color=#666666>(20_Window_InGameHoverPlanetInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:0.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_InGameHoverEntityInfo <color=#666666>(20_Window_InGameHoverEntityInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:0.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_OngoingMessageDisplay <color=#666666>(300_Window_OngoingMessageDisplay)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 300.00000 UISpaceHeight: 400.00000
Rect: (x:-300.00, y:-400.00, width:300.00, height:400.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_NotificationsDisplay <color=#666666>(300_Window_NotificationsDisplay)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 800.00000 UISpaceHeight: 120.00000
Rect: (x:0.00, y:-120.00, width:800.00, height:120.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_ResourceBar <color=#666666>(150_Window_ResourceBar)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 980.00000 UISpaceHeight: 26.00000
Rect: (x:0.00, y:-26.00, width:980.00, height:26.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_DebugInfo <color=#666666>(1100_Window_DebugInfo)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 500.00000 UISpaceHeight: 50.00000
Rect: (x:-500.00, y:-50.00, width:500.00, height:50.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelWide <color=#666666>(1200_Window_AtMouseTooltipPanelWide)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelBesideSidebar <color=#666666>(1200_Window_AtMouseTooltipPanelBesideSidebar)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


Window_AtMouseTooltipPanelNarrow <color=#666666>(1200_Window_AtMouseTooltipPanelNarrow)</color>
<color=#aaaaaa>IsConsideredActive: 1 UISpaceWidth: 1.00000 UISpaceHeight: 1.00000
Rect: (x:0.00, y:-1.00, width:1.00, height:1.00)</color>
<color=#46FF46> InPreventsInputList: 0</color><color=#008000> InAllowsInputList: 1</color>


ArcenDebugLog.txt (32,328 bytes)

x4000Bughunter

Sep 3, 2019 1:22 pm

administrator   ~0052771

Okay... I don't think that this is a problem with the windows at all, now. The very strange black shape makes me think that this is maybe an on-GPU issue, or an issue with something else in the visual stack at least. Sometimes there is a thing called "NaN propagation" that can happen when pixels that are supposed to have an HDR range get mapped strangely and go out of bounds when coming back down into an LDR range.

I'm guessing that this is happening in the post-processing stack somewhere, which I'll have to adjust for you to make it work better. I bet I know which part of the stack it is, too, since it's only ever on the galaxy map. I can make an option for turning that off.

Key thing: this should only be affecting the visuals, and not your interaction. Do your tooltips over planets and other obscured objects still show up?

x4000Bughunter

Sep 3, 2019 5:24 pm

administrator   ~0052784

Thanks!

* On the galaxy map, the background hexagons now draw earlier in the post processing stack. So if they fail to draw, then they just mess up the starfield background but not all the stars and such (hopefully).

* There is now a Galaxy Camera setting under Personal Settings that lets you hide the background hexagons if you either don't like them or they are glitching out on your specific system. There's some evidence that they may glitch out and just draw black after a while on at least some linux systems.

Issue History

Date Modified Username Field Change
Aug 11, 2019 2:01 pm BadgerBadger New Issue
Aug 11, 2019 2:01 pm BadgerBadger Status new => assigned
Aug 11, 2019 2:01 pm BadgerBadger Assigned To => x4000Bughunter
Aug 11, 2019 2:01 pm BadgerBadger File Added: Blackboxes.png
Aug 11, 2019 2:01 pm BadgerBadger File Added: LoweredAIP.save
Aug 12, 2019 8:45 am x4000Bughunter Note Added: 0052540
Aug 12, 2019 10:02 am BadgerBadger Note Added: 0052546
Aug 12, 2019 7:09 pm x4000Bughunter Relationship added related to 0021463
Aug 12, 2019 7:10 pm x4000Bughunter Status assigned => feedback
Aug 12, 2019 7:10 pm x4000Bughunter Note Added: 0052551
Aug 29, 2019 1:53 am BadgerBadger Note Added: 0052665
Aug 29, 2019 1:53 am BadgerBadger Status feedback => assigned
Aug 29, 2019 1:55 am BadgerBadger Note Added: 0052666
Aug 29, 2019 1:55 am BadgerBadger Note Edited: 0052666 View Revisions
Aug 29, 2019 11:07 am BadgerBadger Note Edited: 0052665 View Revisions
Aug 29, 2019 4:14 pm x4000Bughunter Note Added: 0052672
Sep 2, 2019 11:34 pm BadgerBadger File Added: More Black Screen.png
Sep 2, 2019 11:34 pm BadgerBadger File Added: ArcenDebugLog.txt
Sep 2, 2019 11:34 pm BadgerBadger Note Added: 0052754
Sep 3, 2019 1:22 pm x4000Bughunter Note Added: 0052771
Sep 3, 2019 5:24 pm x4000Bughunter Status assigned => resolved
Sep 3, 2019 5:24 pm x4000Bughunter Resolution open => fixed
Sep 3, 2019 5:24 pm x4000Bughunter Fixed in Version => 0.886 Zombie Homebodies
Sep 3, 2019 5:24 pm x4000Bughunter Note Added: 0052784